version: '3.8'

services:
  fce_mysql:
    image: mysql:8.0
    container_name: fce_mysql
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: fce
      MYSQL_USER: fce_user
      MYSQL_PASSWORD: fce_password
    ports:
      - "3306:3306"
    volumes:
      - fce_mysql_data:/var/lib/mysql
      - ./init:/docker-entrypoint-initdb.d
    command: --default-authentication-plugin=mysql_native_password

volumes:
  fce_mysql_data:
